Don't hardcode the library path. Leave it to the dynamic loader.

Index: pytorch-1.13.1/torch/__init__.py
===================================================================
--- a/torch/__init__.py	2023-02-15 20:27:51.747853677 +0100
+++ b/torch/__init__.py	2023-02-15 20:28:23.506341918 +0100
@@ -169,14 +169,14 @@
     lib_path = os.path.join(os.path.dirname(here), 'lib', lib_name)
 
     try:
-        ctypes.CDLL(lib_path, mode=ctypes.RTLD_GLOBAL)
+        ctypes.CDLL(lib_name, mode=ctypes.RTLD_GLOBAL)
     except OSError as err:
         # Can only happen of wheel with cublas as PYPI deps
         # As PyTorch is not purelib, but nvidia-cublas-cu11 is
         if 'libcublas.so.11' not in err.args[0]:
             raise err
         _preload_cuda_deps()
-        ctypes.CDLL(lib_path, mode=ctypes.RTLD_GLOBAL)
+        ctypes.CDLL(lib_name, mode=ctypes.RTLD_GLOBAL)
 
 
 if (USE_RTLD_GLOBAL_WITH_LIBTORCH or os.getenv('TORCH_USE_RTLD_GLOBAL')) and \
